Scala Compiler2.12.13 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package ant
  Definition Classes
    tools
-  package sabbus
  Definition Classes
    ant
- ClassloadVerify
- FastScalac
- Same
- ScalaMatchingTask
- ScalaTask
- ScalaTool
- Scalac
- ScalacShared
- Scaladoc

c

scala.tools.ant

# Scaladoc 

###

#### class Scaladoc extends ScalaMatchingTask

An Ant task to document Scala code.

This task can take the following parameters as attributes:

- `srcdir` (mandatory),
- `srcref`,
- `destdir`,
- `classpath`,
- `classpathref`,
- `sourcepath`,
- `sourcepathref`,
- `bootclasspath`,
- `bootclasspathref`,
- `extdirs`,
- `extdirsref`,
- `encoding`,
- `doctitle`,
- `header`,
- `footer`,
- `top`,
- `bottom`,
- `addparams`,
- `deprecation`,
- `docgenerator`,
- `docrootcontent`,
- `unchecked`,
- `nofail`,
- `skipPackages`.

It also takes the following parameters as nested elements:

- `src` (for srcdir),
- `classpath`,
- `sourcepath`,
- `bootclasspath`,
- `extdirs`.

Source
  Scaladoc.scala

Linear Supertypes
ScalaMatchingTask, ScalaTask, MatchingTask, SelectorContainer, Task, ProjectComponent, java.lang.Cloneable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Scaladoc
2. ScalaMatchingTask
3. ScalaTask
4. MatchingTask
5. SelectorContainer
6. Task
7. ProjectComponent
8. Cloneable
9. AnyRef
10. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Scaladoc()

### Type Members

1.  abstract class PermissibleValue extends AnyRef

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Scaladoc to any2stringadd[Scaladoc] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Scaladoc, B)
   Implicit
     This member is added by an implicit conversion from Scaladoc to ArrowAssoc[Scaladoc] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def XsetIgnore(arg0: String): Unit
   Definition Classes
     MatchingTask
7.  def XsetItems(arg0: String): Unit
   Definition Classes
     MatchingTask
8.  def add(arg0: FileSelector): Unit
   Definition Classes
     MatchingTask → SelectorContainer
9.  def addAnd(arg0: AndSelector): Unit
   Definition Classes
     MatchingTask → SelectorContainer
10.  def addContains(arg0: ContainsSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
11.  def addContainsRegexp(arg0: ContainsRegexpSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
12.  def addCustom(arg0: ExtendSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
13.  def addDate(arg0: DateSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
14.  def addDepend(arg0: DependSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
15.  def addDepth(arg0: DepthSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
16.  def addDifferent(arg0: DifferentSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
17.  def addFilename(arg0: FilenameSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
18.  def addMajority(arg0: MajoritySelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
19.  def addModified(arg0: ModifiedSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
20.  def addNone(arg0: NoneSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
21.  def addNot(arg0: NotSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
22.  def addOr(arg0: OrSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
23.  def addPresent(arg0: PresentSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
24.  def addSelector(arg0: SelectSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
25.  def addSize(arg0: SizeSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
26.  def addType(arg0: TypeSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
27.  def appendSelector(arg0: FileSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
28.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
29.  final def bindToOwner(arg0: Task): Unit
    Definition Classes
      Task
30.  def buildError(message: String): Nothing

    Generates a build error.

    Generates a build error. Error location will be the current task in the ant file.

    message

      A message describing the error.

    Attributes
      protected
    Definition Classes
      ScalaTask
    Exceptions thrown

      `BuildException` A build error exception thrown in every case.

31.  def clone(): AnyRef
    Definition Classes
      ProjectComponent → AnyRef
    Annotations
      @throws( ... )
32.  def createBootclasspath(): Path

    Sets the `bootclasspath` as a nested `sourcepath` Ant parameter.

    Sets the `bootclasspath` as a nested `sourcepath` Ant parameter.

    returns

      A source path to be configured.

33.  def createClasspath(): Path

    Sets the `classpath` as a nested classpath Ant parameter.

    Sets the `classpath` as a nested classpath Ant parameter.

    returns

      A class path to be configured.

34.  def createExclude(): NameEntry
    Definition Classes
      MatchingTask
35.  def createExcludesFile(): NameEntry
    Definition Classes
      MatchingTask
36.  def createExtdirs(): Path

    Sets the `extdirs` as a nested sourcepath Ant parameter.

    Sets the `extdirs` as a nested sourcepath Ant parameter.

    returns

      An extensions path to be configured.

37.  def createInclude(): NameEntry
    Definition Classes
      MatchingTask
38.  def createIncludesFile(): NameEntry
    Definition Classes
      MatchingTask
39.  def createPatternSet(): PatternSet
    Definition Classes
      MatchingTask
40.  def createSourcepath(): Path

    Sets the `sourcepath` as a nested sourcepath Ant parameter.

    Sets the `sourcepath` as a nested sourcepath Ant parameter.

    returns

      A source path to be configured.

41.  def createSrc(): Path

    Sets the `origin` as a nested src Ant parameter.

    Sets the `origin` as a nested src Ant parameter.

    returns

      An origin path to be configured.

42.  def ensuring(cond: (Scaladoc) ⇒ Boolean, msg: ⇒ Any): Scaladoc
    Implicit
      This member is added by an implicit conversion from Scaladoc to Ensuring[Scaladoc] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
43.  def ensuring(cond: (Scaladoc) ⇒ Boolean): Scaladoc
    Implicit
      This member is added by an implicit conversion from Scaladoc to Ensuring[Scaladoc] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
44.  def ensuring(cond: Boolean, msg: ⇒ Any): Scaladoc
    Implicit
      This member is added by an implicit conversion from Scaladoc to Ensuring[Scaladoc] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
45.  def ensuring(cond: Boolean): Scaladoc
    Implicit
      This member is added by an implicit conversion from Scaladoc to Ensuring[Scaladoc] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
46.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
47.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
48.  def execute(): Unit

    Performs the compilation.

    Performs the compilation.

    Definition Classes
      Scaladoc → Task
49.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
50.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Scaladoc to StringFormat[Scaladoc] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
51.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
52.  def getDescription(): String
    Definition Classes
      ProjectComponent
53.  def getDirectoryScanner(baseDir: File): DirectoryScanner

    This is forwarding method to circumvent bug #281 in Scala 2.

    This is forwarding method to circumvent bug #281 in Scala 2. Remove when bug has been corrected.

    Attributes
      protected
    Definition Classes
      Scaladoc → MatchingTask
54.  final def getImplicitFileSet(): FileSet
    Attributes
      protected[taskdefs]
    Definition Classes
      MatchingTask
55.  def getLocation(): Location
    Definition Classes
      ProjectComponent
56.  def getOwningTarget(): Target
    Definition Classes
      Task
57.  def getProject(): Project
    Definition Classes
      ProjectComponent
58.  def getRuntimeConfigurableWrapper(): RuntimeConfigurable
    Definition Classes
      Task
59.  def getSelectors(arg0: Project): Array[FileSelector]
    Definition Classes
      MatchingTask → SelectorContainer
60.  def getTaskName(): String
    Definition Classes
      Task
61.  def getTaskType(): String
    Definition Classes
      Task
62.  def getWrapper(): RuntimeConfigurable
    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
63.  def handleErrorFlush(arg0: String): Unit
    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
64.  def handleErrorOutput(arg0: String): Unit
    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
65.  def handleFlush(arg0: String): Unit
    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
66.  def handleInput(arg0: Array[Byte], arg1: Int, arg2: Int): Int
    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
    Annotations
      @throws( classOf[java.io.IOException] )
67.  def handleOutput(arg0: String): Unit
    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
68.  def hasSelectors(): Boolean
    Definition Classes
      MatchingTask → SelectorContainer
69.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
70.  def init(): Unit
    Definition Classes
      Task
    Annotations
      @throws( ... )
71.  def initialize: (Settings, List[File])

    Initializes settings and source files

    Initializes settings and source files

    Attributes
      protected
72.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
73.  final def isInvalid(): Boolean
    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
74.  def log(arg0: String, arg1: java.lang.Throwable, arg2: Int): Unit
    Definition Classes
      Task
75.  def log(arg0: java.lang.Throwable, arg1: Int): Unit
    Definition Classes
      Task
76.  def log(arg0: String, arg1: Int): Unit
    Definition Classes
      Task → ProjectComponent
77.  def log(arg0: String): Unit
    Definition Classes
      Task → ProjectComponent
78.  def maybeConfigure(): Unit
    Definition Classes
      Task
    Annotations
      @throws( ... )
79.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
80.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
81.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
82.  final def perform(): Unit
    Definition Classes
      Task
83.  def reconfigure(): Unit
    Definition Classes
      Task
84.  def safeBuildError(message: String): Unit
85.  def selectorCount(): Int
    Definition Classes
      MatchingTask → SelectorContainer
86.  def selectorElements(): java.util.Enumeration[FileSelector]
    Definition Classes
      MatchingTask → SelectorContainer
87.  def setAddparams(input: String): Unit

    Set the `addparams` info attribute.

    Set the `addparams` info attribute.

    input

      The value for `addparams`.

88.  def setBootclasspath(input: Path): Unit

    Sets the `bootclasspath` attribute.

    Sets the `bootclasspath` attribute. Used by Ant.

    input

      The value of `bootclasspath`.

89.  def setBootclasspathref(input: Reference): Unit

    Sets the `bootclasspath` as an external reference Ant parameter.

    Sets the `bootclasspath` as an external reference Ant parameter.

    input

      A reference to a source path.

90.  def setCaseSensitive(arg0: Boolean): Unit
    Definition Classes
      MatchingTask
91.  def setClasspath(input: Path): Unit

    Sets the `classpath` attribute.

    Sets the `classpath` attribute. Used by Ant.

    input

      The value of `classpath`.

92.  def setClasspathref(input: Reference): Unit

    Sets the `classpath` as an external reference Ant parameter.

    Sets the `classpath` as an external reference Ant parameter.

    input

      A reference to a class path.

93.  def setDefaultexcludes(arg0: Boolean): Unit
    Definition Classes
      MatchingTask
94.  def setDeprecation(input: String): Unit

    Set the `deprecation` info attribute.

    Set the `deprecation` info attribute.

    input

      One of the flags `yes/no` or `on/off`.

95.  def setDescription(arg0: String): Unit
    Definition Classes
      ProjectComponent
96.  def setDestdir(input: File): Unit

    Sets the `destdir` attribute.

    Sets the `destdir` attribute. Used by Ant.

    input

      The value of `destination`.

97.  def setDiagrams(input: String): Unit

    Set the `diagrams` bit so Scaladoc adds diagrams to the documentation

    Set the `diagrams` bit so Scaladoc adds diagrams to the documentation

    input

      One of the flags `yes/no` or `on/off`. Default if no/off.

98.  def setDiagramsDebug(input: String): Unit

    Set the `diagramsDebug` bit so Scaladoc outputs diagram building debug information

    Set the `diagramsDebug` bit so Scaladoc outputs diagram building debug information

    input

      One of the flags `yes/no` or `on/off`. Default if no/off.

99.  def setDiagramsDotPath(input: String): Unit

    Set the `diagramsDotPath` attribute to the path where graphviz dot can be found (including the binary file name, eg: /usr/bin/dot)

100.  def setDocUncompilable(input: String): Unit
101.  def setDocfooter(input: String): Unit

     Sets the `docfooter` attribute.

     Sets the `docfooter` attribute.

     input

       The value of `docfooter`.

102.  def setDocgenerator(input: String): Unit

     Sets the `docgenerator` attribute.

     Sets the `docgenerator` attribute.

     input

       A fully qualified class name of a doclet.

103.  def setDocrootcontent(input: File): Unit

     Sets the `docrootcontent` attribute.

     Sets the `docrootcontent` attribute.

     input

       The file from which the documentation content of the root package will be taken.

104.  def setDocsourceurl(input: String): Unit

     Sets the `docsourceurl` attribute.

     Sets the `docsourceurl` attribute.

     input

       The value of `docsourceurl`.

105.  def setDoctitle(input: String): Unit

     Sets the `doctitle` attribute.

     Sets the `doctitle` attribute.

     input

       The value of `doctitle`.

106.  def setDocversion(input: String): Unit

     Sets the `docversion` attribute.

     Sets the `docversion` attribute.

     input

       The value of `docversion`.

107.  def setEncoding(input: String): Unit

     Sets the `encoding` attribute.

     Sets the `encoding` attribute. Used by Ant.

     input

       The value of `encoding`.

108.  def setExcludes(arg0: String): Unit
     Definition Classes
       MatchingTask
109.  def setExcludesfile(arg0: File): Unit
     Definition Classes
       MatchingTask
110.  def setExtdirs(input: Path): Unit

     Sets the external extensions path attribute.

     Sets the external extensions path attribute. Used by Ant.

     input

       The value of `extdirs`.

111.  def setExtdirsref(input: Reference): Unit

     Sets the `extdirs` as an external reference Ant parameter.

     Sets the `extdirs` as an external reference Ant parameter.

     input

       A reference to an extensions path.

112.  def setFollowSymlinks(arg0: Boolean): Unit
     Definition Classes
       MatchingTask
113.  def setGroups(input: String): Unit

     Instruct the scaladoc tool to group similar functions together

114.  def setImplicits(input: String): Unit

     Set the `implicits` info attribute.

     Set the `implicits` info attribute.

     input

       One of the flags `yes/no` or `on/off`. Default if no/off.

115.  def setImplicitsDebug(input: String): Unit

     Set the `implicitsDebug` info attribute so scaladoc outputs implicit conversion debug information

     Set the `implicitsDebug` info attribute so scaladoc outputs implicit conversion debug information

     input

       One of the flags `yes/no` or `on/off`. Default if no/off.

116.  def setImplicitsShowAll(input: String): Unit

     Set the `implicitsShowAll` info attribute to enable scaladoc to show all implicits, including those impossible to convert to from the default scope

     Set the `implicitsShowAll` info attribute to enable scaladoc to show all implicits, including those impossible to convert to from the default scope

     input

       One of the flags `yes/no` or `on/off`. Default if no/off.

117.  def setIncludes(arg0: String): Unit
     Definition Classes
       MatchingTask
118.  def setIncludesfile(arg0: File): Unit
     Definition Classes
       MatchingTask
119.  def setLocation(arg0: Location): Unit
     Definition Classes
       ProjectComponent
120.  def setNoFail(input: String): Unit

     Set the `nofail` info attribute.

     Set the `nofail` info attribute.

     input

       One of the flags `yes/no` or `on/off`. Default if no/off.

121.  def setNoPrefixes(input: String): Unit

     Set the `noPrefixes` bit to prevent Scaladoc from generating prefixes in front of types -- may lead to confusion, but significantly speeds up the generation.

     Set the `noPrefixes` bit to prevent Scaladoc from generating prefixes in front of types -- may lead to confusion, but significantly speeds up the generation.

     input

       One of the flags `yes/no` or `on/off`. Default if no/off.

122.  def setOwningTarget(arg0: Target): Unit
     Definition Classes
       Task
123.  def setProject(arg0: Project): Unit
     Definition Classes
       MatchingTask → ProjectComponent
124.  def setRawOutput(input: String): Unit

     Set the `rawOutput` bit so Scaladoc also outputs text from each html file

     Set the `rawOutput` bit so Scaladoc also outputs text from each html file

     input

       One of the flags `yes/no` or `on/off`. Default if no/off.

125.  def setRuntimeConfigurableWrapper(arg0: RuntimeConfigurable): Unit
     Definition Classes
       Task
126.  def setSkipPackages(input: String): Unit

     Instruct the scaladoc tool to skip certain packages.

     Instruct the scaladoc tool to skip certain packages.

     input

       A colon-delimited list of fully qualified package names that will be skipped from scaladoc.

127.  def setSourcepath(input: Path): Unit

     Sets the `sourcepath` attribute.

     Sets the `sourcepath` attribute. Used by Ant.

     input

       The value of `sourcepath`.

128.  def setSourcepathref(input: Reference): Unit

     Sets the `sourcepath` as an external reference Ant parameter.

     Sets the `sourcepath` as an external reference Ant parameter.

     input

       A reference to a source path.

129.  def setSrcdir(input: Path): Unit

     Sets the `srcdir` attribute.

     Sets the `srcdir` attribute. Used by Ant.

     input

       The value of `origin`.

130.  def setSrcref(input: Reference): Unit

     Sets the `origin` as an external reference Ant parameter.

     Sets the `origin` as an external reference Ant parameter.

     input

       A reference to an origin path.

131.  def setTaskName(arg0: String): Unit
     Definition Classes
       Task
132.  def setTaskType(arg0: String): Unit
     Definition Classes
       Task
133.  def setUnchecked(input: String): Unit

     Set the `unchecked` info attribute.

     Set the `unchecked` info attribute.

     input

       One of the flags `yes/no` or `on/off`.

134.  final def synchronized[T0](arg0: ⇒ T0): T0
     Definition Classes
       AnyRef
135.  def toString(): String
     Definition Classes
       AnyRef → Any
136.  final def wait(): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
137.  final def wait(arg0: Long, arg1: Int): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
138.  final def wait(arg0: Long): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... ) @native()
139.  def →[B](y: B): (Scaladoc, B)
     Implicit
       This member is added by an implicit conversion from Scaladoc to ArrowAssoc[Scaladoc] performed by method ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc
140.  object Flag extends PermissibleValue

     Defines valid values for the `deprecation` and `unchecked` properties.

### Inherited from ScalaMatchingTask

### Inherited from ScalaTask

### Inherited from MatchingTask

### Inherited from SelectorContainer

### Inherited from Task

### Inherited from ProjectComponent

### Inherited from java.lang.Cloneable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Scaladoc to any2stringadd[Scaladoc]

### Inherited by implicit conversion StringFormat from Scaladoc to StringFormat[Scaladoc]

### Inherited by implicit conversion Ensuring from Scaladoc to Ensuring[Scaladoc]

### Inherited by implicit conversion ArrowAssoc from Scaladoc to ArrowAssoc[Scaladoc]

### Ungrouped